VUZDevelopers

Update a supplier↔product link

PATCH
/suppliers/{id}/products/{linkId}
X-Api-Key<token>

Business API key, e.g. vuz_ab12cdef... Created via Settings → Integrations → API Keys. Unlike partner keys, a public API key's STRING does not encode its environment — isolation instead comes from a completely separate sandbox database: a key minted on the Sandbox server (above) only ever reads/writes sandbox data and can never see or affect production, regardless of what the key looks like.

In: header

Path Parameters

id*string

Supplier UUID

linkId*string

Supplier↔product link UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/suppliers/string/products/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "businessId": "50092e54-cd12-4059-9828-e8c4ee9a3cf5",  "supplierId": "e01eb4c4-8eb9-4fb7-b625-61f58c6148db",  "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",  "supplierSku": {},  "lastCost": {},  "currency": "string",  "leadTimeDays": {},  "minOrderQuantity": {},  "isPreferred": true,  "isActive": true,  "notes": {},  "supplierNameHe": "string",  "productName": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}